Cprop (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.Cprop class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class Cprop

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.server.session.Cprop

All Implemented Interfaces:
  java.io.Serializable

    public class Cprop

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`Cprop()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Integer` | `getAppdefId()`
`CpropKey` | `getKey()`
`java.lang.String` | `getPropValue()`
`java.lang.Integer` | `getValueIdx()`
`int` | `hashCode()`
`protected void` | `setAppdefId(java.lang.Integer appdefId)`
`protected void` | `setKey(CpropKey keyId)`
`protected void` | `setPropValue(java.lang.String propValue)`
`protected void` | `setValueIdx(java.lang.Integer valueIdx)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cprop

    public Cprop()

Method Detail

### getKey

    public CpropKey getKey()

### setKey

    protected void setKey(CpropKey keyId)

### getAppdefId

    public java.lang.Integer getAppdefId()

### setAppdefId

    protected void setAppdefId(java.lang.Integer appdefId)

### getValueIdx

    public java.lang.Integer getValueIdx()

### setValueIdx

    protected void setValueIdx(java.lang.Integer valueIdx)

### getPropValue

    public java.lang.String getPropValue()

### setPropValue

    protected void setPropValue(java.lang.String propValue)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.